import { z } from 'zod';

export const environmentSchema = z.enum(['development', 'test', 'production']);

export const baseConfigSchema = z.object({
  environment: environmentSchema.optional(),
  name: z.string().optional(),
  version: z.string().optional(),
  debug: z.boolean().default(false),
});
